Loading...
Searching...
No Matches
VTableItems.inl File Reference
`#include <sdbus-c++/Error.h>`
`#include <sdbus-c++/TypeTraits.h>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`

Go to the source code of this file.

## Functions

MethodVTableItem | sdbus::registerMethod (MethodName methodName)
MethodVTableItem | sdbus::registerMethod (std::string methodName)
SignalVTableItem | sdbus::registerSignal (SignalName signalName)
SignalVTableItem | sdbus::registerSignal (std::string signalName)
PropertyVTableItem | sdbus::registerProperty (PropertyName propertyName)
PropertyVTableItem | sdbus::registerProperty (std::string propertyName)
InterfaceFlagsVTableItem | sdbus::setInterfaceFlags ()

## Detailed Description

(C) 2016 - 2024 Stanislav Angelovic stani.nosp@m.slav.nosp@m..ange.nosp@m.lovi.nosp@m.c@pro.nosp@m.tonm.nosp@m.ail.c.nosp@m.om

Created on: Dec 14, 2023 Project: sdbus-c++ Description: High-level D-Bus IPC C++ library based on sd-bus

This file is part of sdbus-c++.

sdbus-c++ is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 2.1 of the License, or (at your option) any later version.

sdbus-c++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with sdbus-c++. If not, see http://www.gnu.org/licenses/.